> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Runway视频

> Runway 统一任务格式与官方格式。

# Runway视频

通过 Omniall AI 调用 **Runway**，支持两种协议：

| 风格 | 创建 | 查询 |
| - | - | - |
| **统一任务格式（推荐）** | `POST /v1/task/submit` | `GET /v1/task/{task_id}` |
| **官方格式** | `POST /runwayml/v1/image_to_video` · `POST /runwayml/v1/video_to_video` | `GET /runwayml/v1/tasks/{task_id}` |

统一格式别名：`POST|GET /runway/v1/task/...`。

**API 主机：** `https://api.omniall.ai` · 鉴权 `Authorization: Bearer sk-...`。

## 模型

示例：`gen4_turbo`、`gen4_turbo/image-to-video`、`gen3a_turbo`、`gen4_aleph`、`gen4_aleph/video-to-video`、`gen4.5/image-to-video`。详见[模型广场](https://omniall.ai/pricing)。

## 统一格式场景

同一接口 `POST /v1/task/submit`，在「创建任务」页切换用例即可：

| 场景 | 关键 `input` 字段 |
| - | - |
| 文生视频 | `promptText` + 可选 `ratio` / `duration` |
| 图生视频 | `promptText` + `promptImage` |
| 视频生视频 | `videoUri` + `promptText`（+ `ratio` / `duration`） |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.